Como configurar o component Mediaroom para boxes Vodafone e Meo (excepto boxes 4K)


(Jorge Assunção) #21

Já copiei o ficheiro e fiz a alteração. Aparece este erro no log:

2018-04-15 10:16:53 ERROR (MainThread) [homeassistant.core] Error doing job: Exception in callback UDPTransport._on_read_ready
Traceback (most recent call last):
  File "uvloop/handles/udp.pyx", line 56, in uvloop.loop.UDPTransport._on_read_ready
OSError: [Errno 9] Bad file descriptor

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "uvloop/cbhandles.pyx", line 52, in uvloop.loop.Handle._run
  File "uvloop/handles/udp.pyx", line 60, in uvloop.loop.UDPTransport._on_read_ready
AttributeError: 'MediaroomProtocol' object has no attribute 'error_received'

E o componente desapareceu do frontend do HA e nem aparece na lista das entidades…


(Tiago Marques) #22

eu criei duas pastas dentro da pasta config custom_components/media_player e coloquei lá o ficheiro mediaroom.py com a alteração.

reiniciei e aparentemente está tudo na mesma.
Estou com HASS.IO 0.67

Traceback (most recent call last):
  File "uvloop/cbhandles.pyx", line 52, in uvloop.loop.Handle._run
  File "uvloop/handles/basetransport.pyx", line 156, in uvloop.loop.UVBaseTransport._call_connection_made
  File "uvloop/handles/basetransport.pyx", line 153, in uvloop.loop.UVBaseTransport._call_connection_made
  File "/usr/lib/python3.6/site-packages/pymediaroom/notify.py", line 133, in connection_made
    sock.bind(('', MEDIAROOM_BROADCAST_PORT))
  File "uvloop/pseudosock.pyx", line 137, in uvloop.loop.PseudoSocket.bind
  File "uvloop/pseudosock.pyx", line 19, in uvloop.loop.PseudoSocket._na
TypeError: transport sockets do not support bind() method

(Rodolfo) #23

Eu uso duas box vodafone aqui em casa uma com gravador outra sem e nao tou com erros nenhuns. Tenho a ultima versao do Ha e hassio.


(Mario Guedes) #24

A mim tb desapareceu na passagem do 0.65.6 para o 0.66.x ou 0.67


(Diogo Gomes) #25

preciso de mais log antes do erro sff


(Diogo Gomes) #26

@tmarquespt qualquer coisa não bate certo pois o código que da o erro nao existe na versão 0.6.2…

Tem algum outro custom_component ?


(Diogo Gomes) #27

O que desapareceu ? Preciso de logs :slight_smile:


(Tiago Marques) #28

não tenho mais nada. aliás criei os folders exactamente para esse, porque nem os tinha.

o meu log está a crescer de forma assustadora. Já vai quase com 400MB. Não estava a perceber porque estava a bloquear o notepad++ até que fui ver o tamanho do ficheiro.

Posso apagar o ficheiro e criar um novo? ou o ha cria de novo depois de apagar?


(Diogo Gomes) #29

podes apagar sempre que quiseres, ele cria o log de novo


(Jorge Assunção) #30

A grande maioria dos erros é do cartão estar a querer “patinar”…

https://hastebin.com/inujazafub.sql


(Tiago Marques) #31

O que me está a encher o log é esta mensagem (dezenas (ou mais) por minuto)

Error doing job: Exception in callback UDPTransport._on_read_ready

Traceback (most recent call last):
  File "uvloop/handles/udp.pyx", line 56, in uvloop.loop.UDPTransport._on_read_ready
OSError: [Errno 9] Bad file descriptor

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "uvloop/cbhandles.pyx", line 52, in uvloop.loop.Handle._run
  File "uvloop/handles/udp.pyx", line 60, in uvloop.loop.UDPTransport._on_read_ready
AttributeError: 'MediaroomProtocol' object has no attribute 'error_received'

(Diogo Gomes) #32

@tmarquespt @j_assuncao mesmo erro nos dois casos… :frowning:

Estão a usar hassio os dois… tenho que criar aqui um ambiente hassio para testes… qq coisa q so acontece no hassio :frowning:


(Tiago Marques) #33

Ok, entretado desactivei o componente para não me estar a gerar erros. Se precisares de mais info ou testar alguma alteração diz.


(Rodolfo) #34

Eu uso hassio sem o optimistic nas duas boxs e funciona bem.


(Tiago Marques) #35

será que tem diferença por ser da Meo?


(Jorge Assunção) #36

Duvido que seja isso. A minha box é Vodafone.


(Diogo Gomes) #37

Problema é com o uso da lib uvloop (technical details)

Podem repetir o teste com esta linha na secção do logger:

custom_components.media_player.mediaroom: debug


(Jorge Assunção) #38

Vou agora tratar disso. Espero que isto reinicie sem problemas por causa do cartão… :worried:


(Jorge Assunção) #39

O mesmo resultado, mas o logger está agora configurado para error.

https://hastebin.com/ekiroratik.css

E nas entidades aparece isto:

media_player.mediaroom_none	standby
media_content_type: channel
friendly_name: Mediaroom None
supported_features: 22457

(Tiago Marques) #40

O meu log está curtinho.

https://hastebin.com/xizuyiyiyu.sql